
	return new @PKCLASS@();
    }

    /**
     * Each Entity must define at least this finder method.
     *
     * @throws FinderException failure to find the requested EJB object
     */
    public @PKCLASS@ ejbFindByPrimaryKey(@PKCLASS@ pk) throws FinderException {
	Trace.outln(trace, "@BNAME@Bean ejbFindByPrimaryKey");
	return pk;
    }

    /**
     * Find by field1: Another possible finder method.
     *
     * @throws FinderException failure to find the requested EJB object
     */
    public @PKCLASS@ ejbFindByField1(int f1) throws FinderException {
	Trace.outln(trace, "@BNAME@Bean ejbFindByField1");
	@PKCLASS@ pk = new @PKCLASS@();	// <- Change this
	return pk;
    }

    /**
     * Find all beans
     */
    public Enumeration ejbFindAll() throws FinderException {
	Trace.outln(trace, "@BNAME@Bean ejbFindAll");

	Vector vect = new Vector();
	Connection conn = null;
	PreparedStatement stmt = null;
	try {
	    conn = getConnection();
	    stmt = conn.prepareStatement("select dbf1 from YourTable");
            ResultSet rs = stmt.executeQuery();
            while (rs.next()) {
                int b = rs.getInt("dbf1");
                @PKCLASS@ pk = new @PKCLASS@(); // <- change this
                vect.addElement((Object)pk);
            }
            stmt.close();
            conn.close();
        } catch (SQLException e) {
            System.err.println("Fails to executeQuery " +e);
        }
	return (vect.elements());
    }

    private Connection getConnection() throws SQLException {
	if (dataSource == null) {
	    // Finds DataSource from JNDI
	    try {
		initialContext = new InitialContext();
		dataSource = (DataSource)initialContext.lookup("java:comp/env/jdbc/mydb");
	    } catch (Exception e) {
		Trace.errln("Pb with naming context");
		throw new javax.ejb.EJBException("Pb with naming context ");
	    }
	}
	return dataSource.getConnection();
    }

    private DataSource dataSource = null;
    private Context initialContext = null;
