/*
 * The contents of this file are subject to the JOnAS Public License Version 
 * 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License on the JOnAS web site.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.
 * See the License for the specific terms governing rights and limitations under 
 * the License.
 *
 * The Original Code is JOnAS application server code released July 1999.
 *
 * The Initial Developer of the Original Code is Bull S.A. 
 * The Original Code and portions created by Bull S.A. are
 *    Copyright (C) 1999 Bull S.A. All Rights Reserved.
 *
 * Contributor(s): Lutris Technologies Inc http://www.lutris.com
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
*/

package org.objectweb.jonas.deployment.api;

import org.objectweb.jonas.deployment.xml.Session;
import org.objectweb.jonas.deployment.xml.AssemblyDescriptor;
import org.objectweb.jonas.deployment.xml.JonasSession;


/**
 * Marker class for stateful session bean
 * @author Christophe Ney
 */
public class SessionStatefulDesc extends SessionDesc {

    /**
     * package protected constructor used by API
     */
    SessionStatefulDesc(ClassLoader classLoader,Session ses, AssemblyDescriptor asd, JonasSession jSes)
            throws DeploymentDescException {    
        super(classLoader,ses,asd,jSes);
    }
    
}
